#!/bin/sh

WD=/mnt/sdb1/robotino
DISPLAY=lcdd2cmd
SFDISK=sfdisk
TARGET=/dev/sda

DISKSIZE=`$WD/$SFDISK -s $TARGET`
CF1GB=`find $WD -name "*_1GB.dd.gz"`
CF4GB=`find $WD -name "*_4GB.dd.gz"`

if [ $DISKSIZE -gt 3000000 ]; then
  SIZE=4
  IMAGE=$CF4GB
else
  SIZE=1
  IMAGE=$CF1GB
fi

ret=0
while [ 8 -ne $ret ]
do
  sudo $WD/$DISPLAY -wait=0 "To install" "update for ${SIZE}GB" "CF-card" "press enter"
  ret=$?
done

sudo umount /mnt/${TARGET}1
gunzip -c $IMAGE | dd bs=8M | sudo $WD/$DISPLAY -buffer=8 | sudo dd of=$TARGET bs=8M

sleep 5

ret=0
while [ 8 -ne $ret ]
do
  sudo $WD/$DISPLAY -wait=0 "Update installed" "Hold down Power" "button until" "shutdown"
  ret=$?
done

sudo halt
